Ask Your Question
2

ROS for Mac OS X , Xcode problem

asked 2012-09-04 07:39:20 -0500

Vegeta gravatar image

updated 2014-01-28 17:13:33 -0500

ngrennan gravatar image

I am trying to install the Mac OS version of ROS (Electric) on my Macbook, Snow Leopord 10.6. On the page it says requires Xcode 4. Unfortunately apple stopped developing xcode for snow leopard , the last one being 3.2.6. I dont want to upgrade to lion or mountain lion and am quite satisfied with SL. Will ROS work with the present version of xcode 3.2.6 i have on my mac?

edit retag flag offensive close merge delete

1 Answer

Sort by ยป oldest newest most voted
0

answered 2012-09-04 08:30:25 -0500

WilliamWoodall gravatar image

It should still work. As long as Homebrew works on SL still, but I cannot say for sure as I have not installed on SL in a long time.

Good luck, and ask new questions here if you run into trouble.

edit flag offensive delete link more

Comments

i tried to install, but there are many build errors. I guess i will have to switch to ubuntu. One question, I will be using a irobot create with hokuyo lidar and kinect sensor for my PhD soon. Which version of ROS do you suggest would be good for irobot create/roomba. I am looking more into turtlebo

Vegeta gravatar image Vegeta  ( 2012-09-17 06:09:19 -0500 )edit

I am looking more into turtlebot tutorials and they are using electric and diamondback version. Does ROS versions make any difference on type of robot platform?? Any suggestions, help would be appreciated. Thanks

Vegeta gravatar image Vegeta  ( 2012-09-17 06:09:48 -0500 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

Stats

Asked: 2012-09-04 07:39:20 -0500

Seen: 302 times

Last updated: Sep 04 '12